# Show Character Layer

## Description

```
'show character <character_id>:<layer_id> [with [animations] [classes] [properties]]'
```

The character layer action allows you to display or change a layer for a character sprite currently being shown.

**Action ID**: `Show::Character::Layer`

**Reversible**: Yes

**Requires User Interaction**: No

### Examples

Remember every layer and image must be declared in the characters object.

```
'show character e:body normal with fadeIn',
```

The [animation](https://daneden.github.io/animate.css/) is completely optional

```
'show character e:body normal',
'show character e:body normal with fadeIn',
```

#### Exit Animations

```
show character <character_id>:<layer_id> [with [animation] [end-[animation]] [classes]]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.monogatari.io/documentation/2.1.0/script-actions/show-character-layer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
